using System;
using System.Globalization;
using System.Windows.Data;

namespace UIShare.Converters // 确保命名空间跟你项目一致
{
    public class LessThanConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is double actualWidth && parameter != null)
            {
                if (double.TryParse(parameter.ToString(), out double targetWidth))
                {
                    // 如果实际宽度 小于 设定的阈值（比如600），返回 True
                    //return actualWidth < targetWidth;
                    //工控机屏幕较大直接给1000
                    return actualWidth < 1000;
                }
            }
            return false;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}